#!/bin/bash
# lastact: arturo@2023-05-30
# desc:
# Creamos el lanzador de Google Chrome en los usuarios gráficos
#
LANZADOR="vx-dga-l-libros-burlington.desktop"
LANZADOR="/usr/share/applications/google-chrome.desktop"
USUARIO="$(vx-usuario-grafico)"
if DIR_DESKTOP="$(vx-xdg-getdir "${USUARIO}" XDG_DESKTOP_DIR)" && [[ -d "${DIR_DESKTOP}" ]]; then
    #PROPIETARIO="${USUARIO}:$(id -gn "${USUARIO}")"
    if rsync -ah "${LANZADOR}" "${DIR_DESKTOP}/" >/dev/null 2>&1; then
        echo "#> OK: Sincronizado ${LANZADOR} => ${DIR_DESKTOP}"
    else
        echo "#> ERROR: No se ha podido sincronizar ${LANZADOR} => ${DIR_DESKTOP}"
    fi
else
    echo "#> ERROR: No se ha localizado el directorio XDG_DESKTOP_DIR de ${USUARIO}"
fi
